%define api		2.0
%define major		0
%define libname		%mklibname atk-bridge %{api} %{major}
%define develname	%mklibname -d atk-bridge

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           at-spi2-atk
Version:        2.6.2
Release:        %mkrel 2
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(atk) >= 2.1.5
BuildRequires:	pkgconfig(atspi-2) >= 2.1.4
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	intltool
Requires:	at-spi2-core >= 2.1.4

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{libname}
Group:		System/Libraries
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi

%description -n %{libname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{develname}
Group:		Development/C
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %name

%files -f %name.lang
%doc AUTHORS README
%_libdir/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%_libdir/gtk-2.0/modules/libatk-bridge.so
%_datadir/glib-2.0/schemas/org.a11y.atspi.gschema.xml

%files -n %{libname}
%_libdir/libatk-bridge-%{api}.so.%{major}
%_libdir/libatk-bridge-%{api}.so.%{major}.*

%files -n %{develname}
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.6.2-2.mga3
+ Revision: 346514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.6.2-1.mga3
+ Revision: 317356
- new version 2.6.2

* Wed Oct 17 2012 ovitters <ovitters> 2.6.1-1.mga3
+ Revision: 307389
- new version 2.6.1

* Tue Sep 25 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297290
- new version 2.6.0

* Tue Sep 18 2012 ovitters <ovitters> 2.5.92-1.mga3
+ Revision: 295795
- new version 2.5.92

* Tue Sep 04 2012 fwang <fwang> 2.5.91-1.mga3
+ Revision: 287855
- update file list

  + ovitters <ovitters>
    - new version 2.5.91

* Mon Aug 20 2012 ovitters <ovitters> 2.5.90-1.mga3
+ Revision: 282685
- new version 2.5.90

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279554
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271577
- new version 2.5.4

* Tue Jun 26 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 263817
- update file list
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226980
- new version 2.4.0

* Mon Mar 19 2012 ovitters <ovitters> 2.3.92-1.mga2
+ Revision: 224534
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219626
- new version 2.3.91

* Wed Feb 22 2012 ovitters <ovitters> 2.3.90-1.mga2
+ Revision: 212335
- new version

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205818
- new version 2.3.5

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196789
- new version 2.3.4

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184750
- new version 2.3.3

* Tue Nov 22 2011 fwang <fwang> 2.3.2-1.mga2
+ Revision: 170800
- new version 2.3.2

* Sat Oct 29 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 159457
- new version 2.3.1

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156074
- new version 2.2.1

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149122
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145847
- new version 2.1.92

* Tue Sep 06 2011 tv <tv> 2.1.91-1.mga2
+ Revision: 139229
- new release

* Wed Aug 31 2011 fwang <fwang> 2.1.90-1.mga2
+ Revision: 136869
- new version 2.1.90

  + saispo <saispo>
    - imported package at-spi2-atk

